#!/bin/bash
# Some files are install(copy) by dh_install tool(see rules and espr.install files)
#This script complete the installation process:
#	3-Create binary files for databases

#-----------------------------------
# Define variables
#-----------------------------------
#PATH
# see export in rules file
DEBdir=$SRCdir/debian/espr-database$ESPdir
#local binary
CLM=$SRCdir/esruclm/clm
PDB=$SRCdir/esrupdb/pdb

#=====================================================================
clim_convert()  # converts climate dbs from iwec.a to binary formats
#=====================================================================
# Arg_1 = target file 
# Arg_2 = source file
{


# short=`echo $1 | sed 's/^.*\///g'`
# city=$short
# country=$short
# country=`echo $short | sed 's/_.*$//g;'`
# city=`echo $short | sed 's/_iwec//g;'`
# city=`echo $city | sed 's/.iwec//g;'`
# city=`echo $city | sed 's/_cwec//g;'`
# city=`echo $city | sed 's/.cwec//g;'`
# city=`echo $city | sed 's/^.*_//g;'`

# printf "\r   - Creating binary climate databases [$city ($country)]..."

# sed-less version

TargetName=`echo $2 |  sed 's/\.a$//g'`
printf "\r                                                                            "
printf "\r   - Creating binary climate databases [${TargetName}]..."

rm -f $1
$CLM -mode text -file $1 -act asci2bin silent $2  >/dev/null 2>/dev/null


}
#=====================================================================
pdb_convert()  # converts plant dbs from iwec.a to binary formats
#=====================================================================
{
SourceName=$1
TargetName=$2
TargetFolder=$3
printf "\r                                                                            "
printf "\r   - Creating binary plant databases [${TargetName}]..."

$PDB -mode text -file $TargetName -act asci2bin ${SourceName}
mv $TargetName $TargetFolder

}



#-----------------------------------
# Create binary files for database
#-----------------------------------

cd ${SRCdir}/databases
echo -n "   - Creating binary plant components databases..."
  # pdb convert: [ source file ] [ dest. file ] [ dest folder ]
  pdb_convert plantc.db1.a plantc.db1 $DEBdir/databases
  pdb_convert plantc.db2.a plantc.db2 $DEBdir/databases
  pdb_convert plantc.tt.a  plantc.tt  $DEBdir/databases
echo -n "   - Creating binary materials databases..."
cd ${SRCdir}
#The command
#./bin/materials_db_conv databases constr.db1.a $DEBdir/databases/constr.db1 >/dev/null doesn't work
# name of file result is truncated ( the path is too long ), 
#the binary databases are created created in the same folder as ascii database
#then it is moved to the install folder
./bin/materials_db_conv databases constr.db1.a $SRCdir/databases/constr.db1 >/dev/null
./bin/materials_db_conv databases constr.db2.a $SRCdir/databases/constr.db2 >/dev/null
./bin/materials_db_conv databases constr.db3.a $SRCdir/databases/constr.db3 >/dev/null
./bin/materials_db_conv databases north_american.materialdb.a $SRCdir/databases/north_american.materialdb >/dev/null
mv $SRCdir/databases/constr.db1 $DEBdir/databases/
mv $SRCdir/databases/constr.db2 $DEBdir/databases/
mv $SRCdir/databases/constr.db3 $DEBdir/databases/
mv $SRCdir/databases/north_american.materialdb $DEBdir/databases/
echo -n "   - Creating binary climate databases..."
cd ${SRCdir}/climate
sed -e 's|/usr/esru/esp-r|'"${ESPdir}"'|' $SRCdir/climate/climatelist > $DEBdir/climate/climatelist   
cp README $DEBdir/climate/Readme
cp README_IWEC $DEBdir/climate/Readme_iwec
#Find all assci files (we use the convention of .a)
for file in *.a
do
  #Assign asscii file to variable.
  CLIM_a=${file}
  #Create binary file name by cutting off the .a suffix.
  CLIM_b=`echo $file |  sed 's/\.a$//g'`
  #Convert.
  clim_convert $DEBdir/climate/${CLIM_b} ${CLIM_a}
done

# Sample result set.
echo -n "   - Creating example binary results database..."
rm -f ${ESPdir}/databases/test.res
$BPS -mode text >/dev/null 2>&1 <<zzz
a
d
y
c
${ESPdir}/databases/test.res
11 7
17 7
1
1
s

example_results
y
y
-
-
zzz
    echo " Done."
